<?php
 class mod_produktgruppen extends mod_basic { var $id = "80"; var $desc = "Erlaubt es für Produkte verschiedene Gruppen zu definieren und diese gebündelt anzuzeigen."; var $name = "Produktgruppen"; var $lizenz = 1; public function settings_edit() { $this->controller->opt_val['wpshopgermany_produktgruppen_page'] = get_option('wpshopgermany_produktgruppen_page'); if (get_option("mod_produktgruppen") == 1) { $content .= '
					<tr>
						<th>'.__("Seite im Frontend, mit der Produktgruppenübersicht", "wpsg").':</th>
						<td>
							<select name="wpshopgermany_produktgruppen_page">
								<option value="">'.__("Seite auswählen", "wpsg").'</option>
				'; foreach (get_pages() as $page) { $content .= '<option value="'.$page->ID.'" '.(($this->controller->opt_val['wpshopgermany_produktgruppen_page'] == $page->ID)?'selected="selected"':'').'>'.$page->post_title.'</option>'; } $content .= '
							</select>
						</td>
					</tr>
				'; } return $content; } public function settings_save() { update_option("wpshopgermany_produktgruppen_page", $_REQUEST['wpshopgermany_produktgruppen_page']); } public function BE_index() { if ($_REQUEST['mod_action'] == "add") { $this->addAction(); } else if ($_REQUEST['mod_action'] == "edit") { $this->editAction(); } else if ($_REQUEST['mod_action'] == "del") { $this->delAction(); } else if ($_REQUEST['mod_action'] == "save") { $this->saveAction(); } else { $this->indexAction(); } return true; } public function editAction() { $this->data = $this->controller->db->fetchRow("SELECT * FROM `".$this->controller->tbl_pg."` WHERE `id` = '".wpsg_q($_REQUEST['edit_id'])."'"); $this->edit_id = $_REQUEST['edit_id']; $this->addAction(); } public function saveAction() { $data = array( "name" => stripslashes($_REQUEST['name']), "template" => $_REQUEST['template'], "infopage" => $_REQUEST['infopage'] ); if ($_REQUEST['edit_id'] > 0) { $this->controller->db->UpdateQuery($this->controller->tbl_pg, $data, "`id` = '".wpsg_q($_REQUEST['edit_id'])."' "); } else { $data['cdate'] = "NOW()"; $this->controller->db->ImportQuery($this->controller->tbl_pg, $data); } $this->indexAction(); } public function delAction() { $this->controller->db->Query("DELETE FROM `".$this->controller->tbl_pg."` WHERE `id` = '".wpsg_q($_REQUEST['edit_id'])."'"); $this->indexAction(); } public function addAction() { $this->templates = $this->controller->db->fetchAssoc("
				SELECT
					*
				FROM
					`".$this->controller->tbl_tp."` 
				WHERE
					`id` = 1 OR `ref` = 1
				ORDER BY
					`id`					
			"); include $this->render("/mod_produktgruppen/add.phtml"); } public function indexAction() { $this->arGruppen = $this->controller->db->fetchAssoc("
				SELECT
					PG.*,
					T.id AS template_id,
					(SELECT COUNT(*) FROM `".$this->controller->tbl_pr."` WHERE `pgruppe` = PG.`id` AND `deleted` = '0') AS countProdukte,
					T.bezeichnung AS template_name
				FROM
					`".$this->controller->tbl_pg."` AS PG
						LEFT JOIN `".$this->controller->tbl_tp."` AS T ON (PG.`template` > 0 AND PG.`template` = T.`id`) 					
			"); include $this->render("/mod_produktgruppen/index.phtml"); } public function Produkt_add() { $arPG = $this->controller->db->fetchAssoc("
				SELECT
					*
				FROM
					`".$this->controller->tbl_pg."`
			"); $content = '
				<div style="margin-top:15px;">
					<div>
						<label for="pgruppe">Produkgruppe</label><br/>
						<select name="pgruppe" id="pgruppe">
							<option value="">Nicht zugeordnet</option>
			'; foreach ($arPG as $pg) { $content .= '<option '.(($this->controller->data['pgruppe'] == $pg['id'])?'selected="selected"':'').' value="'.$pg['id'].'">'.$pg['name'].'</option>'; } $content .= '
						</select>
					</div>
				</div>
			'; return $content; } public function addPages() { add_submenu_page('wpshopgermany-Admin-hide', 'Produktgruppen', 'Produktgruppen', 'administrator', 'wpshopgermany-mod_produktgruppen', 'dispatch'); } public function Produkt_save(&$data) { $data['pgruppe'] = $_REQUEST['pgruppe']; } public function content_filter() { if (get_option('wpshopgermany_produktgruppen_page') != get_the_ID()) return ""; $strReturn = ""; if ($_REQUEST['show'] > 0) { $Gruppe = $this->controller->db->fetchRow("SELECT * FROM `".$this->controller->tbl_pg."` WHERE `id` = '".wpsg_q($_REQUEST['show'])."' AND `deleted` = '0' "); $arProdukte = $this->controller->db->fetchAssoc("SELECT * FROM `".$this->controller->tbl_pr."` WHERE `pgruppe` = '".wpsg_q($Gruppe['id'])."' AND `deleted` = '0' "); foreach ($arProdukte as $k2 => $p) { $arFiles = array(); $dir = WP_CONTENT_DIR.'/uploads/produktbilder/'.$p['id']."/"; $handle = opendir($dir); while($filename = readdir($handle)) { $file = $dir.$filename; if (is_file($file) && $filename != "." && $filename != "..") { $arFiles[] = $filename; } } $arProdukte[$k2]['bilder'] = $arFiles; } $Gruppe['produkte'] = $arProdukte; ob_start(); include $this->render("mod_produktgruppen/show.phtml"); $strReturn = ob_get_contents(); ob_end_clean(); } else { $arGruppen = $this->controller->db->fetchAssoc("SELECT * FROM `".$this->controller->tbl_pg."` WHERE `deleted` = '0'  "); foreach ($arGruppen as $k => $pg) { $arProdukte = array(); $arProdukte = $this->controller->db->fetchAssoc("SELECT * FROM `".$this->controller->tbl_pr."` WHERE `pgruppe` = '".wpsg_q($pg['id'])."' AND `deleted` = '0' "); foreach ($arProdukte as $k2 => $p) { $arFiles = array(); $dir = WP_CONTENT_DIR.'/uploads/produktbilder/'.$p['id']."/"; $handle = opendir($dir); while($filename = readdir($handle)) { $file = $dir.$filename; if (is_file($file) && $filename != "." && $filename != "..") { $arFiles[] = $filename; } } $arProdukte[$k2]['bilder'] = $arFiles; } $arGruppen[$k]['produkte'] = $arProdukte; } ob_start(); include $this->render("mod_produktgruppen/list.phtml"); $strReturn = ob_get_contents(); ob_end_clean(); } return $strReturn; } } ?>